## UDisksFilesystemBTRFS

UDisksFilesystemBTRFS — Generated C code for the org.freedesktop.UDisks2.Filesystem.BTRFS D-Bus interface

## Functions

void | udisks_filesystem_btrfs_proxy_new ()
UDisksFilesystemBTRFS * | udisks_filesystem_btrfs_proxy_new_finish ()
UDisksFilesystemBTRFS * | udisks_filesystem_btrfs_proxy_new_sync ()
void | udisks_filesystem_btrfs_proxy_new_for_bus ()
UDisksFilesystemBTRFS * | udisks_filesystem_btrfs_proxy_new_for_bus_finish ()
UDisksFilesystemBTRFS * | udisks_filesystem_btrfs_proxy_new_for_bus_sync ()
const gchar * | udisks_filesystem_btrfs_get_label ()
gchar * | udisks_filesystem_btrfs_dup_label ()
void | udisks_filesystem_btrfs_set_label ()
const gchar * | udisks_filesystem_btrfs_get_uuid ()
gchar * | udisks_filesystem_btrfs_dup_uuid ()
void | udisks_filesystem_btrfs_set_uuid ()
guint64 | udisks_filesystem_btrfs_get_num_devices ()
void | udisks_filesystem_btrfs_set_num_devices ()
guint64 | udisks_filesystem_btrfs_get_used ()
void | udisks_filesystem_btrfs_set_used ()
void | udisks_filesystem_btrfs_call_add_device ()
gboolean | udisks_filesystem_btrfs_call_add_device_finish ()
gboolean | udisks_filesystem_btrfs_call_add_device_sync ()
void | udisks_filesystem_btrfs_call_create_snapshot ()
gboolean | udisks_filesystem_btrfs_call_create_snapshot_finish ()
gboolean | udisks_filesystem_btrfs_call_create_snapshot_sync ()
void | udisks_filesystem_btrfs_call_create_subvolume ()
gboolean | udisks_filesystem_btrfs_call_create_subvolume_finish ()
gboolean | udisks_filesystem_btrfs_call_create_subvolume_sync ()
void | udisks_filesystem_btrfs_call_get_subvolumes ()
gboolean | udisks_filesystem_btrfs_call_get_subvolumes_finish ()
gboolean | udisks_filesystem_btrfs_call_get_subvolumes_sync ()
void | udisks_filesystem_btrfs_call_remove_device ()
gboolean | udisks_filesystem_btrfs_call_remove_device_finish ()
gboolean | udisks_filesystem_btrfs_call_remove_device_sync ()
void | udisks_filesystem_btrfs_call_remove_subvolume ()
gboolean | udisks_filesystem_btrfs_call_remove_subvolume_finish ()
gboolean | udisks_filesystem_btrfs_call_remove_subvolume_sync ()
void | udisks_filesystem_btrfs_call_repair ()
gboolean | udisks_filesystem_btrfs_call_repair_finish ()
gboolean | udisks_filesystem_btrfs_call_repair_sync ()
void | udisks_filesystem_btrfs_call_resize ()
gboolean | udisks_filesystem_btrfs_call_resize_finish ()
gboolean | udisks_filesystem_btrfs_call_resize_sync ()
void | udisks_filesystem_btrfs_call_set_label ()
gboolean | udisks_filesystem_btrfs_call_set_label_finish ()
gboolean | udisks_filesystem_btrfs_call_set_label_sync ()
UDisksFilesystemBTRFS * | udisks_filesystem_btrfs_skeleton_new ()
void | udisks_filesystem_btrfs_complete_add_device ()
void | udisks_filesystem_btrfs_complete_create_snapshot ()
void | udisks_filesystem_btrfs_complete_create_subvolume ()
void | udisks_filesystem_btrfs_complete_get_subvolumes ()
void | udisks_filesystem_btrfs_complete_remove_device ()
void | udisks_filesystem_btrfs_complete_remove_subvolume ()
void | udisks_filesystem_btrfs_complete_repair ()
void | udisks_filesystem_btrfs_complete_resize ()
void | udisks_filesystem_btrfs_complete_set_label ()

## Properties

gchar * | label | Read / Write
guint64 | num-devices | Read / Write
guint64 | used | Read / Write
gchar * | uuid | Read / Write

## Signals

gboolean | handle-add-device | Run Last
gboolean | handle-create-snapshot | Run Last
gboolean | handle-create-subvolume | Run Last
gboolean | handle-get-subvolumes | Run Last
gboolean | handle-remove-device | Run Last
gboolean | handle-remove-subvolume | Run Last
gboolean | handle-repair | Run Last
gboolean | handle-resize | Run Last
gboolean | handle-set-label | Run Last

## Types and Values

| UDisksFilesystemBTRFS
struct | UDisksFilesystemBTRFSProxy
struct | UDisksFilesystemBTRFSProxyClass
struct | UDisksFilesystemBTRFSSkeleton
struct | UDisksFilesystemBTRFSSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksFilesystemBTRFS
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── UDisksFilesystemBTRFSSkeleton
        ╰── GDBusProxy
            ╰── UDisksFilesystemBTRFSProxy

## Prerequisites

UDisksFilesystemBTRFS requires GObject.

## Implemented Interfaces

UDisksFilesystemBTRFSProxy implements GDBusInterface, GInitable, GAsyncInitable and UDisksFilesystemBTRFS.

UDisksFilesystemBTRFSSkeleton implements GDBusInterface and UDisksFilesystemBTRFS.

## Known Implementations

UDisksFilesystemBTRFS is implemented by UDisksFilesystemBTRFSProxy and UDisksFilesystemBTRFSSkeleton.

## Description

This section contains code for working with the org.freedesktop.UDisks2.Filesystem.BTRFS D-Bus interface in C.

## Functions

### udisks_filesystem_btrfs_proxy_new ()

    void
    udisks_filesystem_btrfs_proxy_new (GDBusConnection *connection,
                                       GDBusProxyFlags flags,
                                       const gchar *name,
                                       const gchar *object_path,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Filesystem.BTRFS. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_filesystem_btrfs_proxy_new_finish()` to get the result of the operation.

See `udisks_filesystem_btrfs_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.1.3

### udisks_filesystem_btrfs_proxy_new_finish ()

    UDisksFilesystemBTRFS *
    udisks_filesystem_btrfs_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_filesystem_btrfs_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_filesystem_btrfs_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksFilesystemBTRFSProxy]

Since: 2.1.3

### udisks_filesystem_btrfs_proxy_new_sync ()

    UDisksFilesystemBTRFS *
    udisks_filesystem_btrfs_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Filesystem.BTRFS. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_filesystem_btrfs_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksFilesystemBTRFSProxy]

Since: 2.1.3

### udisks_filesystem_btrfs_proxy_new_for_bus ()

    void
    udisks_filesystem_btrfs_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `udisks_filesystem_btrfs_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_filesystem_btrfs_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_filesystem_btrfs_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.1.3

### udisks_filesystem_btrfs_proxy_new_for_bus_finish ()

    UDisksFilesystemBTRFS *
    udisks_filesystem_btrfs_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_filesystem_btrfs_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_filesystem_btrfs_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksFilesystemBTRFSProxy]

Since: 2.1.3

### udisks_filesystem_btrfs_proxy_new_for_bus_sync ()

    UDisksFilesystemBTRFS *
    udisks_filesystem_btrfs_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_filesystem_btrfs_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_filesystem_btrfs_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksFilesystemBTRFSProxy]

Since: 2.1.3

### udisks_filesystem_btrfs_get_label ()

    const gchar *
    udisks_filesystem_btrfs_get_label (UDisksFilesystemBTRFS *object);

Gets the value of the "label" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_filesystem_btrfs_dup_label()` if on another thread.

[skip]

#### Parameters

object | A UDisksFilesystemBTRFS. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.1.3

### udisks_filesystem_btrfs_dup_label ()

    gchar *
    udisks_filesystem_btrfs_dup_label (UDisksFilesystemBTRFS *object);

Gets a copy of the "label" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksFilesystemBTRFS. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.1.3

### udisks_filesystem_btrfs_set_label ()

    void
    udisks_filesystem_btrfs_set_label (UDisksFilesystemBTRFS *object,
                                       const gchar *value);

Sets the "label" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksFilesystemBTRFS. |
value | The value to set. |

Since: 2.1.3

### udisks_filesystem_btrfs_get_uuid ()

    const gchar *
    udisks_filesystem_btrfs_get_uuid (UDisksFilesystemBTRFS *object);

Gets the value of the "uuid" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_filesystem_btrfs_dup_uuid()` if on another thread.

[skip]

#### Parameters

object | A UDisksFilesystemBTRFS. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.1.3

### udisks_filesystem_btrfs_dup_uuid ()

    gchar *
    udisks_filesystem_btrfs_dup_uuid (UDisksFilesystemBTRFS *object);

Gets a copy of the "uuid" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksFilesystemBTRFS. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.1.3

### udisks_filesystem_btrfs_set_uuid ()

    void
    udisks_filesystem_btrfs_set_uuid (UDisksFilesystemBTRFS *object,
                                      const gchar *value);

Sets the "uuid" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksFilesystemBTRFS. |
value | The value to set. |

Since: 2.1.3

### udisks_filesystem_btrfs_get_num_devices ()

    guint64
    udisks_filesystem_btrfs_get_num_devices
                                   (UDisksFilesystemBTRFS *object);

Gets the value of the "num_devices" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksFilesystemBTRFS. |

#### Returns

The property value.

Since: 2.1.3

### udisks_filesystem_btrfs_set_num_devices ()

    void
    udisks_filesystem_btrfs_set_num_devices
                                   (UDisksFilesystemBTRFS *object,
                                    guint64 value);

Sets the "num_devices" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksFilesystemBTRFS. |
value | The value to set. |

Since: 2.1.3

### udisks_filesystem_btrfs_get_used ()

    guint64
    udisks_filesystem_btrfs_get_used (UDisksFilesystemBTRFS *object);

Gets the value of the "used" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksFilesystemBTRFS. |

#### Returns

The property value.

Since: 2.1.3

### udisks_filesystem_btrfs_set_used ()

    void
    udisks_filesystem_btrfs_set_used (UDisksFilesystemBTRFS *object,
                                      guint64 value);

Sets the "used" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksFilesystemBTRFS. |
value | The value to set. |

Since: 2.1.3

### udisks_filesystem_btrfs_call_add_device ()

    void
    udisks_filesystem_btrfs_call_add_device
                                   (UDisksFilesystemBTRFS *proxy,
                                    const gchar *arg_device,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `AddDevice()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_filesystem_btrfs_call_add_device_finish()` to get the result of the operation.

See `udisks_filesystem_btrfs_call_add_device_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
arg_device | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.3.0

### udisks_filesystem_btrfs_call_add_device_finish ()

    gboolean
    udisks_filesystem_btrfs_call_add_device_finish
                                   (UDisksFilesystemBTRFS *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_filesystem_btrfs_call_add_device()`.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_filesystem_btrfs_call_add_device()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.3.0

### udisks_filesystem_btrfs_call_add_device_sync ()

    gboolean
    udisks_filesystem_btrfs_call_add_device_sync
                                   (UDisksFilesystemBTRFS *proxy,
                                    const gchar *arg_device,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `AddDevice()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_filesystem_btrfs_call_add_device()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
arg_device | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.3.0

### udisks_filesystem_btrfs_call_create_snapshot ()

    void
    udisks_filesystem_btrfs_call_create_snapshot
                                   (UDisksFilesystemBTRFS *proxy,
                                    const gchar *arg_source,
                                    const gchar *arg_dest,
                                    gboolean arg_ro,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `CreateSnapshot()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_filesystem_btrfs_call_create_snapshot_finish()` to get the result of the operation.

See `udisks_filesystem_btrfs_call_create_snapshot_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
arg_source | Argument to pass with the method invocation. |
arg_dest | Argument to pass with the method invocation. |
arg_ro | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.1.3

### udisks_filesystem_btrfs_call_create_snapshot_finish ()

    gboolean
    udisks_filesystem_btrfs_call_create_snapshot_finish
                                   (UDisksFilesystemBTRFS *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_filesystem_btrfs_call_create_snapshot()`.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_filesystem_btrfs_call_create_snapshot()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.1.3

### udisks_filesystem_btrfs_call_create_snapshot_sync ()

    gboolean
    udisks_filesystem_btrfs_call_create_snapshot_sync
                                   (UDisksFilesystemBTRFS *proxy,
                                    const gchar *arg_source,
                                    const gchar *arg_dest,
                                    gboolean arg_ro,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `CreateSnapshot()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_filesystem_btrfs_call_create_snapshot()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
arg_source | Argument to pass with the method invocation. |
arg_dest | Argument to pass with the method invocation. |
arg_ro | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.1.3

### udisks_filesystem_btrfs_call_create_subvolume ()

    void
    udisks_filesystem_btrfs_call_create_subvolume
                                   (UDisksFilesystemBTRFS *proxy,
                                    const gchar *arg_name,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `CreateSubvolume()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_filesystem_btrfs_call_create_subvolume_finish()` to get the result of the operation.

See `udisks_filesystem_btrfs_call_create_subvolume_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
arg_name | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.1.3

### udisks_filesystem_btrfs_call_create_subvolume_finish ()

    gboolean
    udisks_filesystem_btrfs_call_create_subvolume_finish
                                   (UDisksFilesystemBTRFS *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_filesystem_btrfs_call_create_subvolume()`.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_filesystem_btrfs_call_create_subvolume()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.1.3

### udisks_filesystem_btrfs_call_create_subvolume_sync ()

    gboolean
    udisks_filesystem_btrfs_call_create_subvolume_sync
                                   (UDisksFilesystemBTRFS *proxy,
                                    const gchar *arg_name,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `CreateSubvolume()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_filesystem_btrfs_call_create_subvolume()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
arg_name | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.1.3

### udisks_filesystem_btrfs_call_get_subvolumes ()

    void
    udisks_filesystem_btrfs_call_get_subvolumes
                                   (UDisksFilesystemBTRFS *proxy,
                                    gboolean arg_snapshots_only,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `GetSubvolumes()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_filesystem_btrfs_call_get_subvolumes_finish()` to get the result of the operation.

See `udisks_filesystem_btrfs_call_get_subvolumes_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
arg_snapshots_only | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.1.3

### udisks_filesystem_btrfs_call_get_subvolumes_finish ()

    gboolean
    udisks_filesystem_btrfs_call_get_subvolumes_finish
                                   (UDisksFilesystemBTRFS *proxy,
                                    GVariant **out_subvolumes,
                                    gint *out_subvolumes_cnt,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_filesystem_btrfs_call_get_subvolumes()`.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
out_subvolumes | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_subvolumes_cnt | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_filesystem_btrfs_call_get_subvolumes()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.1.3

### udisks_filesystem_btrfs_call_get_subvolumes_sync ()

    gboolean
    udisks_filesystem_btrfs_call_get_subvolumes_sync
                                   (UDisksFilesystemBTRFS *proxy,
                                    gboolean arg_snapshots_only,
                                    GVariant *arg_options,
                                    GVariant **out_subvolumes,
                                    gint *out_subvolumes_cnt,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetSubvolumes()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_filesystem_btrfs_call_get_subvolumes()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
arg_snapshots_only | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
out_subvolumes | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_subvolumes_cnt | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.1.3

### udisks_filesystem_btrfs_call_remove_device ()

    void
    udisks_filesystem_btrfs_call_remove_device
                                   (UDisksFilesystemBTRFS *proxy,
                                    const gchar *arg_device,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `RemoveDevice()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_filesystem_btrfs_call_remove_device_finish()` to get the result of the operation.

See `udisks_filesystem_btrfs_call_remove_device_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
arg_device | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.3.0

### udisks_filesystem_btrfs_call_remove_device_finish ()

    gboolean
    udisks_filesystem_btrfs_call_remove_device_finish
                                   (UDisksFilesystemBTRFS *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_filesystem_btrfs_call_remove_device()`.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_filesystem_btrfs_call_remove_device()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.3.0

### udisks_filesystem_btrfs_call_remove_device_sync ()

    gboolean
    udisks_filesystem_btrfs_call_remove_device_sync
                                   (UDisksFilesystemBTRFS *proxy,
                                    const gchar *arg_device,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `RemoveDevice()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_filesystem_btrfs_call_remove_device()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
arg_device | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.3.0

### udisks_filesystem_btrfs_call_remove_subvolume ()

    void
    udisks_filesystem_btrfs_call_remove_subvolume
                                   (UDisksFilesystemBTRFS *proxy,
                                    const gchar *arg_name,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `RemoveSubvolume()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_filesystem_btrfs_call_remove_subvolume_finish()` to get the result of the operation.

See `udisks_filesystem_btrfs_call_remove_subvolume_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
arg_name | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.1.3

### udisks_filesystem_btrfs_call_remove_subvolume_finish ()

    gboolean
    udisks_filesystem_btrfs_call_remove_subvolume_finish
                                   (UDisksFilesystemBTRFS *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_filesystem_btrfs_call_remove_subvolume()`.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_filesystem_btrfs_call_remove_subvolume()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.1.3

### udisks_filesystem_btrfs_call_remove_subvolume_sync ()

    gboolean
    udisks_filesystem_btrfs_call_remove_subvolume_sync
                                   (UDisksFilesystemBTRFS *proxy,
                                    const gchar *arg_name,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `RemoveSubvolume()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_filesystem_btrfs_call_remove_subvolume()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
arg_name | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.1.3

### udisks_filesystem_btrfs_call_repair ()

    void
    udisks_filesystem_btrfs_call_repair (UDisksFilesystemBTRFS *proxy,
                                         GVariant *arg_options,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Asynchronously invokes the `Repair()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_filesystem_btrfs_call_repair_finish()` to get the result of the operation.

See `udisks_filesystem_btrfs_call_repair_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.3.0

### udisks_filesystem_btrfs_call_repair_finish ()

    gboolean
    udisks_filesystem_btrfs_call_repair_finish
                                   (UDisksFilesystemBTRFS *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_filesystem_btrfs_call_repair()`.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_filesystem_btrfs_call_repair()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.3.0

### udisks_filesystem_btrfs_call_repair_sync ()

    gboolean
    udisks_filesystem_btrfs_call_repair_sync
                                   (UDisksFilesystemBTRFS *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Repair()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_filesystem_btrfs_call_repair()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.3.0

### udisks_filesystem_btrfs_call_resize ()

    void
    udisks_filesystem_btrfs_call_resize (UDisksFilesystemBTRFS *proxy,
                                         guint64 arg_size,
                                         GVariant *arg_options,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Asynchronously invokes the `Resize()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_filesystem_btrfs_call_resize_finish()` to get the result of the operation.

See `udisks_filesystem_btrfs_call_resize_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
arg_size | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.3.0

### udisks_filesystem_btrfs_call_resize_finish ()

    gboolean
    udisks_filesystem_btrfs_call_resize_finish
                                   (UDisksFilesystemBTRFS *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_filesystem_btrfs_call_resize()`.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_filesystem_btrfs_call_resize()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.3.0

### udisks_filesystem_btrfs_call_resize_sync ()

    gboolean
    udisks_filesystem_btrfs_call_resize_sync
                                   (UDisksFilesystemBTRFS *proxy,
                                    guint64 arg_size,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Resize()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_filesystem_btrfs_call_resize()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
arg_size | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.3.0

### udisks_filesystem_btrfs_call_set_label ()

    void
    udisks_filesystem_btrfs_call_set_label
                                   (UDisksFilesystemBTRFS *proxy,
                                    const gchar *arg_label,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SetLabel()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_filesystem_btrfs_call_set_label_finish()` to get the result of the operation.

See `udisks_filesystem_btrfs_call_set_label_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
arg_label | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.1.3

### udisks_filesystem_btrfs_call_set_label_finish ()

    gboolean
    udisks_filesystem_btrfs_call_set_label_finish
                                   (UDisksFilesystemBTRFS *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_filesystem_btrfs_call_set_label()`.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_filesystem_btrfs_call_set_label()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.1.3

### udisks_filesystem_btrfs_call_set_label_sync ()

    gboolean
    udisks_filesystem_btrfs_call_set_label_sync
                                   (UDisksFilesystemBTRFS *proxy,
                                    const gchar *arg_label,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SetLabel()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_filesystem_btrfs_call_set_label()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksFilesystemBTRFSProxy. |
arg_label | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.1.3

### udisks_filesystem_btrfs_skeleton_new ()

    UDisksFilesystemBTRFS *
    udisks_filesystem_btrfs_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.Filesystem.BTRFS.

#### Returns

The skeleton object.

[transfer full][type UDisksFilesystemBTRFSSkeleton]

Since: 2.1.3

### udisks_filesystem_btrfs_complete_add_device ()

    void
    udisks_filesystem_btrfs_complete_add_device
                                   (UDisksFilesystemBTRFS *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `AddDevice()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksFilesystemBTRFS. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.3.0

### udisks_filesystem_btrfs_complete_create_snapshot ()

    void
    udisks_filesystem_btrfs_complete_create_snapshot
                                   (UDisksFilesystemBTRFS *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `CreateSnapshot()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksFilesystemBTRFS. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.1.3

### udisks_filesystem_btrfs_complete_create_subvolume ()

    void
    udisks_filesystem_btrfs_complete_create_subvolume
                                   (UDisksFilesystemBTRFS *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `CreateSubvolume()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksFilesystemBTRFS. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.1.3

### udisks_filesystem_btrfs_complete_get_subvolumes ()

    void
    udisks_filesystem_btrfs_complete_get_subvolumes
                                   (UDisksFilesystemBTRFS *object,
                                    GDBusMethodInvocation *invocation,
                                    GVariant *subvolumes,
                                    gint subvolumes_cnt);

Helper function used in service implementations to finish handling invocations of the `GetSubvolumes()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksFilesystemBTRFS. |
invocation | A GDBusMethodInvocation. | [transfer full]
subvolumes | Parameter to return. |
subvolumes_cnt | Parameter to return. |

Since: 2.1.3

### udisks_filesystem_btrfs_complete_remove_device ()

    void
    udisks_filesystem_btrfs_complete_remove_device
                                   (UDisksFilesystemBTRFS *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `RemoveDevice()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksFilesystemBTRFS. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.3.0

### udisks_filesystem_btrfs_complete_remove_subvolume ()

    void
    udisks_filesystem_btrfs_complete_remove_subvolume
                                   (UDisksFilesystemBTRFS *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `RemoveSubvolume()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksFilesystemBTRFS. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.1.3

### udisks_filesystem_btrfs_complete_repair ()

    void
    udisks_filesystem_btrfs_complete_repair
                                   (UDisksFilesystemBTRFS *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Repair()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksFilesystemBTRFS. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.3.0

### udisks_filesystem_btrfs_complete_resize ()

    void
    udisks_filesystem_btrfs_complete_resize
                                   (UDisksFilesystemBTRFS *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Resize()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksFilesystemBTRFS. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.3.0

### udisks_filesystem_btrfs_complete_set_label ()

    void
    udisks_filesystem_btrfs_complete_set_label
                                   (UDisksFilesystemBTRFS *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `SetLabel()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksFilesystemBTRFS. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.1.3

## Types and Values

### UDisksFilesystemBTRFS

    typedef struct _UDisksFilesystemBTRFS UDisksFilesystemBTRFS;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Filesystem.BTRFS.

Since: 2.1.3

### struct UDisksFilesystemBTRFSProxy

    struct UDisksFilesystemBTRFSProxy;

The UDisksFilesystemBTRFSProxy structure contains only private data and should only be accessed using the provided API.

Since: 2.1.3

### struct UDisksFilesystemBTRFSProxyClass

    struct UDisksFilesystemBTRFSProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksFilesystemBTRFSProxy.

#### Members

Since: 2.1.3

### struct UDisksFilesystemBTRFSSkeleton

    struct UDisksFilesystemBTRFSSkeleton;

The UDisksFilesystemBTRFSSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 2.1.3

### struct UDisksFilesystemBTRFSSkeletonClass

    struct UDisksFilesystemBTRFSSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksFilesystemBTRFSSkeleton.

#### Members

Since: 2.1.3

## Property Details

### The `“label”` property

      “label”                    gchar *

Represents the D-Bus property "label".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksFilesystemBTRFS

Flags: Read / Write

Default value: NULL

Since: 2.1.3

### The `“num-devices”` property

      “num-devices”              guint64

Represents the D-Bus property "num_devices".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksFilesystemBTRFS

Flags: Read / Write

Default value: 0

Since: 2.1.3

### The `“used”` property

      “used”                     guint64

Represents the D-Bus property "used".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksFilesystemBTRFS

Flags: Read / Write

Default value: 0

Since: 2.1.3

### The `“uuid”` property

      “uuid”                     gchar *

Represents the D-Bus property "uuid".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksFilesystemBTRFS

Flags: Read / Write

Default value: NULL

Since: 2.1.3

## Signal Details

### The `“handle-add-device”` signal

    gboolean
    user_function (UDisksFilesystemBTRFS *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_device,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `AddDevice()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_filesystem_btrfs_complete_add_device()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksFilesystemBTRFS. |
invocation | A GDBusMethodInvocation. |
arg_device | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.3.0

### The `“handle-create-snapshot”` signal

    gboolean
    user_function (UDisksFilesystemBTRFS *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_source,
                   gchar                 *arg_dest,
                   gboolean               arg_ro,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `CreateSnapshot()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_filesystem_btrfs_complete_create_snapshot()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksFilesystemBTRFS. |
invocation | A GDBusMethodInvocation. |
arg_source | Argument passed by remote caller. |
arg_dest | Argument passed by remote caller. |
arg_ro | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.1.3

### The `“handle-create-subvolume”` signal

    gboolean
    user_function (UDisksFilesystemBTRFS *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_name,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `CreateSubvolume()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_filesystem_btrfs_complete_create_subvolume()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksFilesystemBTRFS. |
invocation | A GDBusMethodInvocation. |
arg_name | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.1.3

### The `“handle-get-subvolumes”` signal

    gboolean
    user_function (UDisksFilesystemBTRFS *object,
                   GDBusMethodInvocation *invocation,
                   gboolean               arg_snapshots_only,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `GetSubvolumes()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_filesystem_btrfs_complete_get_subvolumes()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksFilesystemBTRFS. |
invocation | A GDBusMethodInvocation. |
arg_snapshots_only | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.1.3

### The `“handle-remove-device”` signal

    gboolean
    user_function (UDisksFilesystemBTRFS *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_device,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `RemoveDevice()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_filesystem_btrfs_complete_remove_device()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksFilesystemBTRFS. |
invocation | A GDBusMethodInvocation. |
arg_device | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.3.0

### The `“handle-remove-subvolume”` signal

    gboolean
    user_function (UDisksFilesystemBTRFS *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_name,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `RemoveSubvolume()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_filesystem_btrfs_complete_remove_subvolume()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksFilesystemBTRFS. |
invocation | A GDBusMethodInvocation. |
arg_name | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.1.3

### The `“handle-repair”` signal

    gboolean
    user_function (UDisksFilesystemBTRFS *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Repair()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_filesystem_btrfs_complete_repair()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksFilesystemBTRFS. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.3.0

### The `“handle-resize”` signal

    gboolean
    user_function (UDisksFilesystemBTRFS *object,
                   GDBusMethodInvocation *invocation,
                   guint64                arg_size,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Resize()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_filesystem_btrfs_complete_resize()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksFilesystemBTRFS. |
invocation | A GDBusMethodInvocation. |
arg_size | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.3.0

### The `“handle-set-label”` signal

    gboolean
    user_function (UDisksFilesystemBTRFS *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_label,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SetLabel()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_filesystem_btrfs_complete_set_label()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksFilesystemBTRFS. |
invocation | A GDBusMethodInvocation. |
arg_label | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.1.3